#
# spec file for package gaupol
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gaupol
Version:        0.28.2
Release:        5.3
Summary:        GTK Subtitle editor
License:        GPL-3.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://home.gna.org/gaupol/
Source0:        %{name}-%{version}.tar.xz
# PATCH-FIX-OPENSUSE gaupol-0.17.1-desktop.patch prusnak@suse.cz -- add desktop category
Patch0:         %{name}-0.17.1-desktop.patch
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  hicolor-icon-theme
BuildRequires:  python3-devel
BuildRequires:  python3-pyenchant
BuildRequires:  python3-gobject >= 3.6.0
BuildRequires:  update-desktop-files
BuildRequires:  xz
Requires:       python3
Requires:       python3-aeidon
Requires:       python3-pyenchant
Requires:       python3-gobject >= 3.6.0
Requires:       typelib-1_0-GtkSpell-3_0
Requires:       typelib-1_0-Gst-1_0
Requires:       typelib-1_0-GstPbutils-1_0
Recommends:		paratype-pt-sans-fonts
Recommends:		paratype-pt-mono-fonts
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       python(abi) = %{py3_ver}

%description
Gaupol is an editor for text-based subtitle files. It supports multiple subtitle
file formats and provides means of correcting texts and timing subtitles to match
video. The user interface is designed with attention to batch processing of
multiple documents and convenience of translating.

Gaupol should run on all Unix-like (GNU/Linux, *BSD, etc.) operating systems and
on Windows. Technically it should be able to run on Mac as well, but that has
not been tested nor made convenient. Gaupol's user interface is based on the GTK+
toolkit and has been designed to best fit the GNOME desktop environment.

%package -n python3-aeidon
Summary:        Package for reading, writing and manipulating text-based subtitle files
Group:          Development/Libraries/Python
Provides:		python-aeidon = %version
Obsoletes:		python-aeidon < %version

%description -n python3-aeidon
This is a Python package for reading, writing and manipulating
text-based subtitle files. It is separate from the gaupol package,
which provides a subtitle editor application with a GTK+ user
interface.

%prep
%setup -q
%patch0

%build
export CFLAGS="%{optflags}"
python3 setup.py build

%install
python3 setup.py clean install --prefix=%{_prefix} --root=%{buildroot}
rm -f %{buildroot}%{_datadir}/gaupol/extensions/side-pane/__pycache__/*.pyc
rm -f %{buildroot}%{_datadir}/gaupol/extensions/custom-framerates/__pycache__/*.pyc
rm -f %{buildroot}%{_datadir}/gaupol/extensions/bookmarks/__pycache__/*.pyc
%suse_update_desktop_file -i %{name}
%find_lang %{name}
%fdupes %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS.md COPYING README.md NEWS.md TODO.md
%{_bindir}/gaupol
%{python3_sitelib}/gaupol*
%{_datadir}/%{name}
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*/*/apps/%{name}.*
%{_mandir}/man1/gaupol.1*

%files -n python3-aeidon
%defattr(-, root, root, -)
%doc AUTHORS.md COPYING README.aeidon.md NEWS.md TODO.md
%{python3_sitelib}/aeidon

%changelog
* Mon May 18 2015 elchevive68@gmail.com
- updated to 0.28.2
  * Fix text view size in spell check dialog
* Mon May 11 2015 elchevive68@gmail.com
- updated to 0.28.1
  * Have the spell-check dialog remember its size
  * Work around a destructive override in gst-python that broke
  Gaupol's built-in video player (bgo#748813)
  * Update Hungarian translation (AndrÃ¡ssy LÃ¡szlÃ³)
  * Update French translation (RyDroid)
  * Update Brazilian Portuguese translation (Rafael Ferreira, Felipe Braga)
  * Update Czech translation (Pavel Fric)
* Tue Dec  9 2014 elchevive68@gmail.com
- updated to 0.28
  * Add target in the position shift dialog to shift subtitles
  from selection to end (bgo#734198)
  * Center tab labels
  * Fix mouse use in the cell text editor to not cause losing focus
  and thus cancelling editing
  * Fix bookmarks not being cleared when a file with bookmarks
  is closed (bgo#740481)
  * Remove buggy `text-shadow` use from CSS (bgo#740527)
  * Use markdown for documentation files (`README` etc.)
  * Update Spanish translation (Carlos Mella)
* Tue Oct 28 2014 elchevive68@gmail.com
- updated to 0.27
  * Hide tabs when only one tab is open
  * Expand tabs to fill window width, use 24 characters at minimum
  * Fix dialog paddings with GTK+ 3.14
  * Fix text view line length display with GTK+ 3.14
  * Pack video player toolbar and seekbar horizontally
  * Avoid column resizing upon opening file
  * Fix "IndexError: list index out of range" when undoing or redoing
  by holding Ctrl+(Shift)+Z pressed
  * Remove use of deprecated stock items, Gtk.Alignment,
  gi.types.Boxed.__init__ and non-transient dialogs
  * Update Spanish translation (Carlos Mella)
* Wed Jul  2 2014 elchevive@opensuse.org
- updated to 0.26
- rebase patch gaupol-0.17.1-desktop.patch
  * Update file selection dialogs to work better with GTK+ 3.12
  * Default toolbar style to icons only (due to gtk-toolbar-style
  being deprecated since GTK+ 3.10)
  * Allow using the dark GTK+ theme variant (you need to edit
  ~/.config/gaupol/gaupol.conf to enable this)
  * Fix errors and lack of updates in multiline text cells and their
  line length calculation and display (bgo#728575)
  * Fix initially incorrect row heights after opening a file
  * Fix updating subtitle numbers when inserting or removing subtitles
  * Fix overlapping column header right-click menus
  * Fix saving enumeration values to configuration file
  * Use Gtk.render_layout instead of deprecated Gtk.paint_layout to
  render line length margin in text views
  * Remove header editing dialog
  * Remove non-functional speech recognition menu item
  (see http://www.mail-archive.com/gaupol-list@gna.org/msg00069.html)
  * Drop support for the MPsub format
  * Add GTK+ (3.2 or greater) to list of dependencies in the README
  file (GTK+ has always been a dependency, its explicit mention was
  just forgotten when migrating from PyGTK to PyGObject)
  * Update Brazilian Portuguese translation (Rafael Ferreira)
  * Update Czech translation (Pavel Fric)
* Tue Feb 11 2014 elchevive@opensuse.org
- updated to 0.25
  * Depend on GtkSpell 3.0.0 or later instead of pygtkspellcheck
  for inline spell-check
  * Clarify GStreamer dependency as "at least the core,
  gst-plugins-base and gst-plugins-good; and for good container and
  codec support preferrably each of gst-plugins-bad, gst-plugins-ugly
  and gst-libav" (bgo#710138)
  * Check that required GStreamer elements can be found and
  print error messages if not (bgo#710138)
  * Filter open recent menu items by mimetype
  * Fix search dialog "Ignore case" option
  * Fix text correction assistant layout with GTK+ 3.10
  * Update Spanish translation (Carlos Mella)
* Mon Oct  7 2013 elchevive@opensuse.org
- updated to 0.24.3
  * Fix preferences dialog subtitle and time overlay connections
  * Make AppData file translatable
  * Fix broken string formatting in the French translation that caused
  KeyErrors handling encoding names (bgo#709335)
* Mon Sep 23 2013 elchevive@opensuse.org
- updated to 0.24.1
  * Possibly fix floating status label colors on non-Adwaita themes
  * Add an AppData XML file
  - http://people.freedesktop.org/~hughsient/appdata/
  * Add French translation (RyDroid)
  * Update Czech translation (Pavel Fric)
* Mon Jul 22 2013 elchevive@opensuse.org
- updated to 0.24
  * Add action to set the end time from video position
  * Use a floating label for the statusbar
  * Show search dialog messages in a floating label
  in the search dialog
  * Use inline toolbars in the preferences dialog
  * Apply GNOME Goal: Add keywords to application desktop files
  * Hide translation text column by default and show only when a
  translation file is opened or the column is explicitly selected
  to be shown
  * Remove video toolbar (video file and framerate selectors)
  * Add a framerate selector to save dialogs (shown only when
  converting from a time-based file format to a frame-based
  or vice versa)
  * Change a couple keybindings
  * Move "Select Video" from the file menu to the tools menu (below
  "Preview") to clarify that it relates to the external preview
  * Add Galician translation (Leandro Regueiro)
  * Update Spanish translation (Carlos Mella)
* Wed Jun 26 2013 elchevive@opensuse.org
- updated to 0.23
  * Add a built-in GStreamer-based video player
  * Add a not-required, but recommended dependency on PT fonts
  (PT Sans Caption and PT Mono) used by default for video player's
  subtitle and timecode overlays
  * Bump PyGObject dependency to version 3.6.0 or later
  * Fix KeyError tearing down extension on quit (bgo#702518)
  * Update Spanish translation (Carlos Mella)
* Tue Apr  9 2013 elchevive@opensuse.org
- updated to 0.22
  * Restore drop-down arrows on undo and redo toolbar buttons for those
    using PyGObject 3.7.90 or greater (bgo#686608)
  * Restore almost proper keeping track of recent files for those using
    PyGObject 3.7.4 or greater (bgo#678401, bgo#695970)
  * Restore zebra-stripes, which were previously discarded by some
    GTK+ themes
  * Mostly fix cell rendering speed issues with GTK+ 3.6 and later
  * Add Czech translation (Pavel Fric)
* Mon Feb 25 2013 elchevive@opensuse.org
- update dependencies (python3 mainly)
- updated to 0.21.1
  * Fix error disconnecting text view's line length margin handler
  (AttributeError: 'TextView' object has no attribute
  'gaupol_ruler_handler_id')
  * Fix atomic file writing in weird cases where the subtitle file to
  be written and its backup in the same directory would be on
  different filesystems (Florian Léger, Osmo Salomaa)
  * Fix speed issues updating subtitle list selection (e.g. when doing
  a search-and-replace-all with a alot of matches)
  * Speed up action sensitivity updates
  * Restore inline spell-check, replace the previous GtkSpell
  dependency with a dependency on pygtkspellcheck
  - http://koehlma.github.com/projects/pygtkspellcheck.html
  * Add partial support for fancy Unicode dashes, ellipses and
  quotation marks in text correction patterns and "Toggle dialogue
  dashes" action
  * Fix search dialog mnemonics
  * Apply GNOME Goal: Remove markup in translatable messages
* Fri Nov 23 2012 prusnak@opensuse.org
- updated to 0.20.1
  * Fix crash on startup on newer versions of PyGObject and/or GTK+
  resulting from setting tool item types (#686608)
  * Fix side pane header menu (#686312)
  * Disable 'Join or Split Words' task in the text correction assistant
  if no spell-check dictionaries are available (#686340)
  * Use a stock GTK+ close icon for tab close buttons if
  'window-close-symbolic' is not found
  * Fix behaviour of spell-check dialog's 'Replace with' entry
- updated to 0.20
  * Migrate to Python 3, GTK+ 3, GStreamer 1.0, PyGI and GNOME 3
  * Bump Python dependency to 3.2 or greater
  * Replace PyGTK dependency with PyGObject 3.0.0 or greater
  * Bump optional GStreamer dependency to 1.0 or greater
  * Disable inline spell-checking while waiting for introspection
  support to be added to GtkSpell
  - https://bugzilla.redhat.com/show_bug.cgi?id=675504
  * Disable speech recognition while waiting for pocketsphinx to be
  ported to GStreamer 1.0
  - https://sourceforge.net/projects/cmusphinx/forums/forum/5471/topic/5497616
  * Rewrite line-breaking algorithm to use a Knuth-Plass-style flexible
  system of penalties and a versatile measure of goodness
  * Write subtitle files in a proper atomic manner (on Windows this
  is fully atomic only with Python 3.3 or later)
  * Ellipsize tab labels in the middle (#686099)
  * Remove -c/--config-file option (you're better off setting XDG_*
  environment variables if you're doing something weird)
  * Add 48x48 and 256x256 pixel PNG icons and remove SVG icon
  * Fix bug in saving a temporary file for preview (#685706)
  * Fix signatures of decorated functions in API documentation
  * Use filename extension '.extension' for extension metadata files
  (instead of previous '.gaupol-extension')
  * Use filename extension '.bookmarks' for bookmark files written by
  the bookmarks extension (instead of previous '.gaupol-bookmarks)
  * Release source tarballs only compressed as tar.xz (instead
  of the previous tar.gz and tar.bz2)
  * Update Brazilian Portuguese translation
  (Átila Camurça, Darlildo Lima)
  * Update Hungarian translation (Andrássy László)
  * Update Spanish translation (Carlos Mella)
* Sun Feb 26 2012 elchevive@opensuse.org
- Add ifelse to python-pyenchant (new name for > 12.1)
* Tue Jan 31 2012 cfarrell@suse.com
- license update: GPL-3.0+
  No indication of GPL-3.0 files (i.e. GPLv3 only) in the package
* Fri Jan 27 2012 elchevive@opensuse.org
- update license tag to new format and some cleanup
* Tue Dec  6 2011 elchevive@opensuse.org
- split python-aeidon package
- updated to 0.19.2
  * Allow preview of unsaved documents (#661242)
  * Use subtitles from selected range if applicable in the Transform
  Positions dialog (#663158)
  * Fix mplayer preview command to work if gaupol was started as a
  background process (with &) from a terminal window (#660035)
  * Fix TypeError when speech recognition stopped in the middle of a
  subtitle
  * Fix IndexError when speech recognition finished with no speech
  detected (#659411)
  * Fix UnicodeDecodeError when reading configuration file (#661123)
  * Rename manifest directory in source tarball to avoid clashes with
  MANIFEST file on case-insensitive filesystems
  changes in 0.19.1
  * Fix gettext initialization in aeidon package to not make global
  changes (Olivier Aubert, Osmo Salomaa, Debian bug #639668)
  * Fix speech recognition advance length handling so that subtitles
  don't start too early
  * Update Russian translation (Alexandre Prokoudine)
  changes in 0.19
  * Add speech recognition to allow generating subtitles from video
  http://live.gnome.org/Gaupol/SpeechRecognition
  * Fix installation of custom-framerates extension
  * Add optional dependency on gst-python (this also implies a
  dependency on one or more of gst-plugins-base, gst-plugins-good,
  gst-plugins-ugly, gst-plugins-bad, gst-ffmpeg depending on what
  video and audio formats are being used)
  http://gstreamer.freedesktop.org/
  * Add optional dependency on pocketsphinx
  http://cmusphinx.sourceforge.net/
  * Add gaupol-i18n mailing list for translators
  * Update Spanish translation (Carlos Mella)
  * Update Hungarian translation (Andrssy Lszl)
  changes in 0.18
  * Add extension that allows use of custom framerates (#637503)
  * Add "Get more extensions" button to the preferences dialog
  * Relax SubRip file parsing in unambiguous cases (#634129)
  * Fix saving of last used directory in file dialogs with "paths that
  cannot be represented as a local filename" (#649347)
  * Add Brazilian Portuguese translation (tila Camura,
  Darlildo Souza)
  * Update German translation (Chris Leick)
* Fri May 27 2011 prusnak@opensuse.org
- updated to 0.17.2
* Tue Dec 28 2010 elchevive@opensuse.org
- Updated to version 0.17.1
- Move changes to .changes file
- Build package as noarch
- Updated and put version number on .patch
* Mon Aug 17 2009 prusnak@suse.cz
- fixed build
* Wed Aug  5 2009 prusnak@suse.cz
- updated to version 0.15
* Mon Jun 15 2009 prusnak@suse.cz
- add patch comments
* Fri Sep 12 2008 jreidinger@suse.cz
- initial build, version 0.13.1
